Page MenuHomePhabricator

Create test instances for Federated Properties User Testing Round 1
Closed, ResolvedPublic5 Estimated Story Points

Description

To faciliate user testing, we need to set up test instances with federated properties enabled on CloudVPS.

Specs

  1. Two separate Wikibase instances are created (OpenNext, Invasive Species)
  2. Federation is enabled, with Wikidata.org as the source Wiki
  3. Each instance has a Query Service
  4. Domains like https://opennext-federated-properties.wmflabs.org/ and https://eu-invasive-species-federated-properties.wmflabs.org/

What's done so far

I have created 2 instances with the same specs as the current fed props test instance (in the wikidata-dev project)

I believe everything else is waiting for things currently in progress, so I'll move this back to TODO.

Event Timeline

Addshore updated the task description. (Show Details)Jul 6 2020, 1:51 PM

We decided to leave this as 1 task and not split it up for the iteration board

Samantha_Alipio_WMDE triaged this task as Medium priority.Jul 8 2020, 10:32 AM
Addshore raised the priority of this task from Medium to High.Jul 8 2020, 10:33 AM
Restricted Application added a project: User-Addshore. · View Herald TranscriptJul 16 2020, 7:25 PM
Addshore removed Addshore as the assignee of this task.Jul 16 2020, 7:31 PM

I have created 2 instances with the same specs as the current fed props test instance (in the wikidata-dev project)

I believe everything else is waiting for things currently in progress, so I'll move this back to TODO.

Addshore updated the task description. (Show Details)Jul 16 2020, 7:31 PM

Change 615221 had a related patch set uploaded (by Silvan Heintze; owner: Silvan Heintze):
[mediawiki/extensions/Wikibase@master] FP: Add eu-invasive-species to ansible test setup

https://gerrit.wikimedia.org/r/615221

Addshore raised the priority of this task from High to Needs Triage.Jul 22 2020, 8:10 AM

Resetting priority at start of new sprint (so it can be aligned with the sprint goals)

Addshore changed the task status from Stalled to Open.Jul 23 2020, 9:51 AM

Change 615221 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: Add eu-invasive-species to ansible test setup

https://gerrit.wikimedia.org/r/615221

Change 615755 had a related patch set uploaded (by Silvan Heintze; owner: Silvan Heintze):
[mediawiki/extensions/Wikibase@master] FP: Add opennext to ansible test setup

https://gerrit.wikimedia.org/r/615755

Change 615755 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: Add opennext to ansible test setup

https://gerrit.wikimedia.org/r/615755

Change 618750 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] FP: Update ansible README for demo instances

https://gerrit.wikimedia.org/r/618750

Change 618750 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: Update ansible README for demo instances

https://gerrit.wikimedia.org/r/618750

Samantha_Alipio_WMDE closed this task as Resolved.Aug 17 2020, 11:57 AM